local CharacterFSMManager = require "app/module/character_fsm/character_fsm_manager"
local CharacterStateBase = require "app/module/character_fsm/states/character_state_base"
local CharacterStateDefault = class('CharacterStateDefault', CharacterStateBase)

function CharacterStateDefault:enter()
    local materials = self.characterObj:getCharacterMaterials()
    for _, material in ipairs(materials) do
        material:DisableKeyword(CharacterFSMManager.KEYWORD_ICE)
        material:DisableKeyword(CharacterFSMManager.KEYWORD_STONE)
        material:DisableKeyword(CharacterFSMManager.KEYWORD_DISSOLVE)
        material:DisableKeyword(CharacterFSMManager.KEYWORD_GLOW)
        material:EnableKeyword(CharacterFSMManager.KEYWORD_NONE)
    end
end

function CharacterStateDefault:exit()
end

return CharacterStateDefault